Skip to main content
PATCH
/
v1
/
projects
/
{projectId}
/
environments
/
{envId}
curl -X PATCH https://nest.feather.mupeni.dev/v1/projects/proj_01hx.../environments/env_01hx... \
  -H "Authorization: Bearer <server_key>" \
  -H "Content-Type: application/json" \
  -d '{ "protected": true }'
{
  "id": "env_01hx...",
  "name": "Production",
  "slug": "production",
  "color": "#ef4444",
  "protected": true,
  "createdAt": "2024-03-01T12:00:00.000Z"
}

Path parameters

projectId
string
required
envId
string
required

Body

name
string
New display name.
color
string
New hex color.
protected
boolean
Set to true to enable the change proposal workflow for this environment. Requires Pro or Enterprise plan.Warning: setting protected to false on an environment that currently has pending proposals will auto-reject all of them. Direct writes will be allowed again immediately, so pending proposals are considered stale and cannot be safely approved.
curl -X PATCH https://nest.feather.mupeni.dev/v1/projects/proj_01hx.../environments/env_01hx... \
  -H "Authorization: Bearer <server_key>" \
  -H "Content-Type: application/json" \
  -d '{ "protected": true }'
{
  "id": "env_01hx...",
  "name": "Production",
  "slug": "production",
  "color": "#ef4444",
  "protected": true,
  "createdAt": "2024-03-01T12:00:00.000Z"
}